Package org.apache.wiki.providers

## Class RepositoryModifiedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.wiki.api.exceptions.WikiException
      - - org.apache.wiki.api.exceptions.ProviderException
        - - org.apache.wiki.providers.RepositoryModifiedException

All Implemented Interfaces:
  `java.io.Serializable`

    public class RepositoryModifiedException
    extends ProviderException

If the provider detects that someone has modified the repository externally, it should throw this exception.

Any provider throwing this exception should first clean up any references to the modified page it has, so that when we call this the next time, the page is handled as completely, and we don't get the same exception again.

Since:
  2.1.25
See Also:
  Serialized Form

### Field Summary

Fields
`protected java.lang.String` `m_page`

### Constructor Summary

Constructors
`RepositoryModifiedException​(java.lang.String msg, java.lang.String pageName)` Constructs the exception.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getPageName()` Return the page name given in the constructor.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### m_page

    protected final java.lang.String m_page

### Constructor Detail

#### RepositoryModifiedException

    public RepositoryModifiedException​(java.lang.String msg,
                                       java.lang.String pageName)

Constructs the exception.

Parameters:
  `msg` - The message
  `pageName` - The name of the page which was modified

### Method Detail

#### getPageName

    public java.lang.String getPageName()

Return the page name given in the constructor.

Returns:
  The page name.